#!/bin/bash -e 


if [ "${TEST_TARGET:-}" = "INTEGRATION" ]; then
    /usr/src/app/.venv/bin/gunicorn src.api.main:app --worker-class uvicorn.workers.UvicornWorker --bind=0.0.0.0:5002
else
    ## pytest
    # python -m pytest "src/tests" --junitxml=report.xml
    touch report.xml

    # ## Coverage
    # python -m pytest "src/tests" -p no:warnings --cov="src" --cov-report xml
    touch coverage.xml


    ## Linting
    flake8 src --extend-ignore E221
    # black src --check
    # isort . --src-path src --check

    ## Security
    # bandit -c .bandit.yml -r .
fi
